package hhc_telws

import "strings"

func SM2PubKeyCombine(x, y string) string {
	sb := strings.Builder{}
	lx, ly := len(x), len(y)
	lpx, lpy := 64-lx, 64-ly
	spx := strings.Repeat("0", lpx)
	spy := strings.Repeat("0", lpy)
	sb.WriteString(spx)
	sb.WriteString(x)
	sb.WriteString(spy)
	sb.WriteString(y)
	return sb.String()
}
