package hhccli

import "git.swzry.com/zry/go-hhc-cli/hhc_ast"

type CliView interface {
	GetSDTRoot() *hhc_ast.SyntaxDefinitionTreeRoot
}

type EmptyCliView struct {
	SyntaxDefineTree *hhc_ast.SyntaxDefinitionTreeRoot
}

func NewEmptyCliView(sdtroot *hhc_ast.SyntaxDefinitionTreeRoot) *EmptyCliView {
	cv := &EmptyCliView{
		SyntaxDefineTree: sdtroot,
	}
	return cv
}

func (emc *EmptyCliView) GetSDTRoot() *hhc_ast.SyntaxDefinitionTreeRoot {
	return emc.SyntaxDefineTree
}
